package com.syc.slm.slmbi.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author: guangyi-liang
 * @date: 2021/5/7
 */
@Configuration
@Getter
@Setter
public class DataCenterConfig {

    @Value("${dc_client.host}")
    private String host;

    @Value("${dc_client.interfaces.permissionCodeUrl}")
    private String permissionCodeUrl;

    @Value("${dc_client.interfaces.companyAppId}")
    private String companyAppId;

}
