package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author: guangyi-liang
 * @date: 2021/5/14
 */
@Data
@ApiModel(value = "业务数据字段数值统计类型")
public class BusinessStatisticsDTO {
    @ApiModelProperty(value = "查询表名", required = true)
    private String table;

    @ApiModelProperty(value = "查询配置（如果为空不要调用后台）", required = true)
    List<Map<String, List<BusinessConditionDTO>>> where;

    @ApiModelProperty(value = "统计参数", required = true)
    List<BusinessFieldStatisticsDTO> statisticsList;

}
