package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liangbin
 * @date 2021/3/31
 */
@ApiModel(value = "自定义权限DTO")
@Data
public class CustomPermissionDTO {

    @ApiModelProperty(value = "自定义权限类型", required = true)
    private String bizType;

    @ApiModelProperty(value = "代表岗位、部门或个体用户id", required = true)
    private String bizId;

    @ApiModelProperty(value = "代表岗位，部门，个体用户名称")
    private String bizName;

}
