package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * slm-bi
 * 实时变量DTO
 * @author : lin
 * @date : 2021-03-30 15:05
 **/
@ApiModel("历史数据变量DTO")
@Data
public class VariableHistoryDataDTO {

    @ApiModelProperty(value = "(x轴为变量时，统计类型必填)统计类型,代表(合计值(sum)，平均值(avg)，最大值(max)，最小值(min) 中位数(middle),原值 original)", required = true)
    private String statisticsType;
    @ApiModelProperty(value = "开始时间(时间戳)",required = true)
    private String startTime;
    @ApiModelProperty(value = "结束时间(时间戳)", required = true)
    private String endTime;
    @ApiModelProperty(value = "变量信息", required = true)
    private List<VariableSearchDTO> variableSearchList;
}
