package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * slm-bi
 *
 * @author : lin
 * @date : 2021-04-19 19:31
 **/
@Data
@ApiModel(value = "下发DTO")
public class VariableSendDTO {
    @ApiModelProperty(value = "访问权限", required = true)
    private String accessType;
    @ApiModelProperty(value = "权限控制", required = true)
    private List<CustomPermissionDTO> permissions;

    @ApiModelProperty(value = "权限为私有的时候需要把创建人传入", required = true)
    private String userId;

    @ApiModelProperty(value = "key 是变量得id ， value 是下发得值",required = true)
    private Map<String, Object> commandMap;
    @ApiModelProperty(value = "控制按钮给1 读写框给2",required = true)
    private Integer control;
}
