package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: guangyi-liang
 * @date: 2021/5/14
 */
@Data
@ApiModel(value = "变量实时状态数据DTO(仪表盘和饼图专用)")
public class VariableStatusRealTimeDataDTO {

    @ApiModelProperty(value = "所属设备")
    private String deviceId;

    @ApiModelProperty(value = "变量ID")
    private String variableId;

    @ApiModelProperty(value = "变量code，也就是变量name")
    private String variableCode;
}
