package com.syc.slm.slmbi.enums;

import javax.crypto.interfaces.PBEKey;

/**
 * 统计类型
 *
 * @author liangbin
 * @date 2021/3/31
 */
public enum StatisticsType {

    /**
     * 合计值
     */
    SUM("sum"),

    /**
     * 平均值
     */
    AVG("avg"),

    /**
     * 最大值
     */
    MAX("max"),

    /**
     * 最小值
     */
    MIN("min"),

    /**
     * 中位数
     */
    MIDDLE("middle"),

    /**
     * 原值
     */
    ORIGINAL("original"),

    /**
     * 计数
     */
    COUNT("count"),

    /***
     * 去重计数
     */
    DUPLICATE_COUNT("duplicate_count");

    public String value;



    StatisticsType(String v) {
        value = v;
    }

}
