package com.syc.slm.slmbi.service;

import java.util.Set;

/**
 * @author: guangyi-liang
 * @date: 2021/5/20
 */
public interface CompanyService {

    /**
     * 测试查询所有
     * @param appId 当前租户AppId
     * @return 公司全部appId
     */
    Set<String> findAll(String appId);

    /**
     * 初始化顶级分组和树
     * @param appId 当前租户AppId
     * @return 是否成功
     */
    boolean initGroupAndTree(String appId);
}
