package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 系统业务表配置
 * @author : lin
 * @date : 2021-04-20 09:30
 **/
@Data
@ApiModel(value = "系统业务表配置VO",description = "系统业务表配置VO")
@EqualsAndHashCode(callSuper=false)
public class BusinessConfigVo {
    @ApiModelProperty(value = "id")
    private String id;
    @ApiModelProperty(value = "表英文名称")
    private String nameEn;
    @ApiModelProperty(value = "表中文名称")
    private String nameCn;
    @ApiModelProperty(value = "表字段属性")
    private String  field;
}
