package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * slm-bi
 * 自定义权限Vo
 * @author : lin
 * @date : 2021-04-07 17:52
 **/
@ApiModel(value = "自定义权限Vo")
@Data
public class CustomPermissionVo {

    @ApiModelProperty(value = "自定义权限类型", required = true)
    private String bizType;

    @ApiModelProperty(value = "代表岗位、部门或个体用户id", required = true)
    private String bizId;

    @ApiModelProperty(value = "代表岗位，部门，个体用户名称")
    private String bizName;
}
