package com.syc.slm.slmbi.vo;

import com.syc.slm.slmbi.entity.CurrentUser;
import com.syc.slm.slmbi.entity.InstrumentPanelConfig;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * slm-bi
 * 仪表板样式，数据配置显示类
 *
 * @author : lin
 * @date : 2021-03-25 15:39
 **/
@Data
@ApiModel(value = "仪表板样式，数据配置显示类Vo", description = "仪表板样式，数据配置显示类Vo")
@EqualsAndHashCode(callSuper = true)
public class InstrumentPanelConfigVo extends InstrumentPanelConfig {

    @ApiModelProperty(value = "自定义权限类型", required = true)
    private List<CustomPermissionVo> permissions;
    @ApiModelProperty(value = "仪表板信息", required = true)
    private InstrumentPanelVo panel;

    @ApiModelProperty(value = "当前用户", required = true)
    private CurrentUser user;
}
