package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * slm-bi
 *
 * @author : lin
 * @date : 2021-04-19 19:31
 **/
@Data
@ApiModel(value = "业务数据查询DTO")
public class BusinessDTO {
    @ApiModelProperty(value = "查询表名", required = true)
    private String table;

    @ApiModelProperty(value = "横轴变量", required = true)
    private String x;
    @ApiModelProperty(value = "横轴格式")
    private String format;
    @ApiModelProperty(value = "查询配置（如果为空不要调用后台）", required = true)
    List<Map<String, List<BusinessConditionDTO>>> where;

    @ApiModelProperty(value = "统计参数", required = true)
    List<BusinessFieldStatisticsDTO> statisticsList;

}
