package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * slm-bi
 * 历史曲线DTO
 * @author : lin
 * @date : 2021-03-30 15:05
 **/
@ApiModel("变量DTO")
@Data
public class VariableHistoryCurveDataDTO {
    @ApiModelProperty(value = "开始时间(时间戳)",required = true)
    private String startTime;
    @ApiModelProperty(value = "结束时间(时间戳)", required = true)
    private String endTime;

    @ApiModelProperty(value = "变量信息", required = true)
    private List<VariableSearchDTO> variableSearchList;
}
