package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 变量
 *
 * @author : lin
 * @date : 2021-03-25 19:05
 **/
@Data
@ApiModel(value = "变量DTO")
@EqualsAndHashCode(callSuper=false)
public class VariableSearchDTO{

    @ApiModelProperty(value = "所属设备")
    private String deviceId;
    @ApiModelProperty(value = "变量id")
    private String variableId;

    @ApiModelProperty(value = "变量名称")
    private String variableName;

}
