package com.syc.slm.slmbi.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 系统业务表配置
 * @author : lin
 * @date : 2021-04-20 09:32
 **/
@ApiModel(description = "系统业务表配置entity")
@Data
@EqualsAndHashCode(callSuper=true)
@TableName("business_config")
public class BusinessConfig extends BaseEntity<BusinessConfig>{
    @ApiModelProperty(value = "表英文名称")
    private String nameEn;
    @ApiModelProperty(value = "表中文名称")
    private String nameCn;
    @ApiModelProperty(value = "表字段属性")
    private String  field;

}
