package com.syc.slm.slmbi.enums;

/**
 * @author lin
 * @date 2021/4/20
 */
public enum Condition {

    /**
     * 等于
     */
    EQ("eq"),
    /**
     * 不等于
     */
    NE("ne"),
    /**
     * 大于
     */
    GT("gt"),
    /**
     * 小于
     */
    LT("lt"),
    /**
     * 大于等于
     */
    GTE("gte"),
    /**
     * 小于等于
     */
    LTE("lte"),
    /**
     * 包含(模糊查询)
     */
    IN("in"),
    /**
     * 不包含(模糊查询)
     */
    NIN("nin"),
    /**
     * 空
     */
    IS_NULL("is_null"),
    /**
     * 不为空
     */
    NO_NULL("no_null"),
    /**
     * in
     */
    INS("ins"),
    /**
     * nin
     */
    NO_INS("no_ins");
    private String value;

    Condition(String v) {
        this.value = v;
    }}
