package com.syc.slm.slmbi.service;

import com.syc.slm.slmbi.vo.PermissionCodeVo;

import java.util.List;

/**
 * @author: guangyi-liang
 * @date: 2021/5/7
 */
public interface PermissionService {

    /**
     * 查询某位用户拥有所有权限code集合
     * @param appId 租户ID
     * @param token 登录系统的用户token
     * @return 权限的编码集合
     */
    List<PermissionCodeVo> findAllPermissionCode(String appId,String token);
}
