package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * slm-bi
 * 仪表板页面显示类
 *
 * @author : lin
 * @date : 2021-03-25 15:39
 **/
@Data
@ApiModel(value = "仪表板页面显示类Vo",description = "仪表板页面显示类Vo")
@EqualsAndHashCode(callSuper=false)
public class InstrumentPanelGroupVo {

    @ApiModelProperty(value = "分组主键")
    private String id;
    @ApiModelProperty(value = "父级id")
    private String parentId;
    @ApiModelProperty(value = "分组名称")
    private String name;
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
